package com.gic.haoban.manage.api.enums;

/**
 * 待办模板
 * Created by hua on 2021/12/16.
 */
public enum PendingTaskTypeEnum {
    NORMAL(-1, "全部", "全部"),
    PERFORMANCE(0, "月指标", "请完善{}月份指标"),
    TEL_TASK(1, "话务任务", "您收到了新的话务任务【{}】，赶紧去执行吧~"),
    GROUP_TASK(3, "客户群发", "您收到了新的企微群发任务【{}】，赶紧到企业微信-消息-群发助手中执行吧~"),
    ACTIVITY(4, "活动", "您报名的{}活动已经开始啦，快去转发赚佣金吧~"),
    GROUP_CHAT(5, "社群群发", "您收到了新的社群群发任务【{}】，赶紧到企业微信-消息-群发助手中执行吧~"),
    QYWX_MOMENT(6, "企微朋友圈", "您收到了新的企微朋友圈发布任务【{}】，快去执行吧~"),
    ;
    private int type;
    private String name;
    private String description;

    PendingTaskTypeEnum(int type, String name, String description) {
        this.type = type;
        this.name = name;
        this.description = description;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static PendingTaskTypeEnum getByType(int type) {
        for (PendingTaskTypeEnum taskTypeEnum : values()) {
            if (taskTypeEnum.getType() == type) {
                return taskTypeEnum;
            }
        }
        return null;
    }
}
